gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Flags

Contents

- Flags
  - FontMask

Description

Synopsis

- data FontMask
  - = FontMaskFamily
  - | FontMaskStyle
  - | FontMaskVariant
  - | FontMaskWeight
  - | FontMaskStretch
  - | FontMaskSize
  - | FontMaskGravity
  - | FontMaskVariations
  - | AnotherFontMask Int

# Flags

## FontMask

data FontMask Source #

The bits in a `FontMask` correspond to fields in a `FontDescription` that have been set.

Constructors

FontMaskFamily | the font family is specified.
FontMaskStyle | the font style is specified.
FontMaskVariant | the font variant is specified.
FontMaskWeight | the font weight is specified.
FontMaskStretch | the font stretch is specified.
FontMaskSize | the font size is specified.
FontMaskGravity | the font gravity is specified (Since: 1.16.)
FontMaskVariations | OpenType font variations are specified (Since: 1.42)
AnotherFontMask Int | Catch-all for unknown values

Instances

Enum FontMask Source # |

Instance details

Defined in GI.Pango.Flags

Methods

succ :: FontMask -> FontMask Source #

pred :: FontMask -> FontMask Source #

toEnum :: Int -> FontMask Source #

fromEnum :: FontMask -> Int Source #

enumFrom :: FontMask -> [FontMask] Source #

enumFromThen :: FontMask -> FontMask -> [FontMask] Source #

enumFromTo :: FontMask -> FontMask -> [FontMask] Source #

enumFromThenTo :: FontMask -> FontMask -> FontMask -> [FontMask] Source #

Eq FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods (==) :: FontMask -> FontMask -> Bool Source # (/=) :: FontMask -> FontMask -> Bool Source #
Ord FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods compare :: FontMask -> FontMask -> Ordering Source # (<) :: FontMask -> FontMask -> Bool Source # (<=) :: FontMask -> FontMask -> Bool Source # (>) :: FontMask -> FontMask -> Bool Source # (>=) :: FontMask -> FontMask -> Bool Source # max :: FontMask -> FontMask -> FontMask Source # min :: FontMask -> FontMask -> FontMask Source #
Show FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods showsPrec :: Int -> FontMask -> ShowS Source # show :: FontMask -> String Source # showList :: [FontMask] -> ShowS Source #
IsGFlag FontMask Source # |
Instance details Defined in GI.Pango.Flags
BoxedFlags FontMask Source # |
Instance details Defined in GI.Pango.Flags Methods boxedFlagsType :: Proxy FontMask -> IO GType Source #